<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: profile/profile-body/profile-body-graphics/Performance.tsx</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: profile/profile-body/profile-body-graphics/Performance.tsx</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from 'react';
import styled from 'styled-components';
import { ResponsiveContainer, PolarAngleAxis, PolarGrid, Radar, RadarChart } from 'recharts';
import colors from '../../../../utils/style/colors';
import { IUserDataPerformance, IUserDataPerformanceKind } from '../../../../utils/interfaces/api.interface';

const Container = styled.div`
  height: 265px;
  background-color: ${colors.grey};
  border-radius: 5px;
  width: 265px;

  .recharts-polar-grid-angle {
    display: none;
  }
`;

/**
 * Renders the performance graphic
 * @param   {IUserDataPerformance}   performanceData   contains user's performance data
 */
const Performance: React.FC&lt;{ performanceData: IUserDataPerformance }> = ({ performanceData }) => {
  // get the correct axis label from performance.kind
  const getAxisLabels = (data: { value: number; kind: number }) => {
    const { kind } = performanceData;

    enum EPerformanceTrad {
      'intensity' = 'Intensité',
      'speed' = 'Vitesse',
      'strength' = 'Force',
      'endurance' = 'Endurance',
      'energy' = 'Energie',
      'cardio' = 'Cardio',
    }

    return (
      // if no trad enum
      // kind[data.kind as keyof IUserDataPerformanceKind].charAt(0).toUpperCase() +
      // kind[data.kind as keyof IUserDataPerformanceKind].slice(1)
      EPerformanceTrad[kind[data.kind as keyof IUserDataPerformanceKind]]
    );
  };

  // Reverse the Array to correctly look like the mockup
  const reverseArray = (arr: any[]) => arr.reduce((acc, val) => [val, ...acc], []);
  const test = reverseArray(performanceData.data);

  return (
    &lt;Container>
      &lt;ResponsiveContainer width="100%" height="100%">
        &lt;RadarChart data={test} margin={{ top: 20, bottom: 20, right: 20, left: 20 }}>
          &lt;PolarGrid />
          &lt;PolarAngleAxis
            dataKey={getAxisLabels}
            stroke="#fff"
            tickLine={false}
            tick={{ fill: 'white', fontSize: 12, fontWeight: 500 }}
          />
          &lt;Radar dataKey="value" fill={colors.secondary} fillOpacity={0.7} />
        &lt;/RadarChart>
      &lt;/ResponsiveContainer>
    &lt;/Container>
  );
};

export default Performance;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
